Name:          libimobiledevice
Version:       1.2.0
Release:       18
Summary:       A library and tools to communicate with mobile devices
License:       LGPLv2+
URL:           http://www.libimobiledevice.org/
Source0:       http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2

#Patch0 comes from fedora
Patch0:        344409e1d1ad917d377b256214c5411dda82e6b0...5a85432719fb3d18027d528f87d2a44b76fd3e12.patch
Patch1:        0001-userpref-GnuTLS-Fix-3.6.0-SHA1-compatibility.patch
Patch2:        0002-userpref-GnuTLS-Use-valid-serial-for-3.6.0.patch

BuildRequires: autoconf automake glib2-devel gnutls-devel git-core libusbmuxd-devel libusbx-devel
BuildRequires: libgcrypt-devel libplist-devel libtool libtasn1-devel libxml2-devel readline-devel swig
Obsoletes:     libimobiledevice-utils
Provides:      libimobiledevice-utils

%description
A library for connecting to mobile devices like phones and music players.

%package devel
Summary: This package contains development files
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with libimobiledevice.

%package help
Summary: This package contains help documents
Requires: %{name}%{?_isa} = %{version}-%{release}

%description help
Files for help with libimobiledevice.


%prep
%autosetup -S git
chmod ugo+x docs/html
ACLOCAL="aclocal -I m4" autoreconf -f -i

%build
%configure --disable-openssl --enable-dev-tools --without-cython
sed -i -e 's/^hardcode_libdir_flag_spec=.*/hardcode_libdir_flag_spec=""/g' \
-e 's/^runpath_var=LD_RUN_PATH/runpath_var=DIE_RPATH_DIE/g' libtool
%make_build V=1

%install
%make_install
mv COPYING.LESSER COPYING
%delete_la_and_a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_libdir}/libimobiledevice.so.6*
%{_bindir}/idevice*

%files devel
%doc docs/html/
%{_libdir}/libimobiledevice.so
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_includedir}/libimobiledevice/

%files help
%doc %{_datadir}/man/man1/idevice*
%doc AUTHORS README

%changelog
* Thu Sep 19 2019 Yiru Wang <wangyiru1@huawei.com> - 1.2.0-18
- Pakcage init
